diff --git a/tests/fate/image.mak b/tests/fate/image.mak
index 753936ec20..37dd0b83d9 100644
--- a/tests/fate/image.mak
+++ b/tests/fate/image.mak
@@ -566,6 +566,15 @@ fate-webp-rgb-lossy-q80: CMD = framecrc -i $(TARGET_SAMPLES)/webp/rgb_q80.webp
 FATE_WEBP += fate-webp-rgba-lossy-q80
 fate-webp-rgba-lossy-q80: CMD = framecrc -i $(TARGET_SAMPLES)/webp/rgba_q80.webp
 
+FATE_WEBP += fate-webp-anim
+fate-webp-anim: CMD = framecrc -i $(TARGET_SAMPLES)/webp/anim.webp
+
+FATE_WEBP += fate-webp-chfmt1
+fate-webp-chfmt1: CMD = framecrc -i $(TARGET_SAMPLES)/webp/anim_rgb_yuv.webp
+
+FATE_WEBP += fate-webp-chfmt2
+fate-webp-chfmt2: CMD = framecrc -i $(TARGET_SAMPLES)/webp/anim_yuv_rgb.webp
+
 FATE_WEBP-$(call DEMDEC, IMAGE2, WEBP) += $(FATE_WEBP)
 FATE_IMAGE_FRAMECRC += $(FATE_WEBP-yes)
 fate-webp: $(FATE_WEBP-yes)
diff --git a/tests/ref/fate/webp-anim b/tests/ref/fate/webp-anim
new file mode 100644
index 0000000000..f0d3f1a88f
--- /dev/null
+++ b/tests/ref/fate/webp-anim
@@ -0,0 +1,22 @@
+#tb 0: 1/1000
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 100x70
+#sar 0: 0/1
+0,          0,          0,       80,    28000, 0x2023ba6e
+0,         80,         80,       80,    28000, 0x4292b778
+0,        160,        160,       80,    28000, 0x1c972ef1
+0,        240,        240,       80,    28000, 0xa98d8d04
+0,        320,        320,       80,    28000, 0xd323b6af
+0,        400,        400,       80,    28000, 0x508aba99
+0,        480,        480,       80,    28000, 0x5c672dda
+0,        560,        560,       80,    28000, 0xc8961ebb
+0,        640,        640,     1000,    28000, 0x82460e1b
+0,       1640,       1640,       80,    28000, 0x3debbfc9
+0,       1720,       1720,       80,    28000, 0x427ab31f
+0,       1800,       1800,       80,    28000, 0x6bbdec2e
+0,       1880,       1880,       80,    28000, 0x5690b56b
+0,       1960,       1960,       80,    28000, 0xb62963f3
+0,       2040,       2040,       80,    28000, 0x68dd37b2
+0,       2120,       2120,       80,    28000, 0x465c47d2
+0,       2200,       2200,    10000,    28000, 0xa92033df
diff --git a/tests/ref/fate/webp-chfmt1 b/tests/ref/fate/webp-chfmt1
new file mode 100644
index 0000000000..bdb0616353
--- /dev/null
+++ b/tests/ref/fate/webp-chfmt1
@@ -0,0 +1,23 @@
+#tb 0: 1/1000
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 488x488
+#sar 0: 0/1
+0,          0,          0,       80,   952576, 0x22e300c0
+0,         80,         80,       80,   952576, 0x4e7e9a01
+0,        160,        160,       80,   952576, 0x01b6a421
+0,        240,        240,       80,   952576, 0x26f09b88
+0,        320,        320,       80,   952576, 0xbb1404ac
+0,        400,        400,      480,   952576, 0x14368b56
+0,        880,        880,       80,   952576, 0x1843fad6
+0,        960,        960,       80,   952576, 0xc3c4bb73
+0,       1040,       1040,      160,   952576, 0x9d662364
+0,       1200,       1200,      160,   952576, 0xf8218a9a
+0,       1360,       1360,      160,   952576, 0x5828d888
+0,       1520,       1520,      560,   952576, 0x6a718e32
+0,       2080,       2080,       80,   952576, 0x95b7ff21
+0,       2160,       2160,       80,   952576, 0x84662ce1
+0,       2240,       2240,      720,   952576, 0x11974723
+0,       2960,       2960,       80,   952576, 0xd4a644ef
+0,       3040,       3040,       80,   952576, 0x3d29c6a8
+0,       3120,       3120,      720,   952576, 0x3d3a2d40
diff --git a/tests/ref/fate/webp-chfmt2 b/tests/ref/fate/webp-chfmt2
new file mode 100644
index 0000000000..3d00544390
--- /dev/null
+++ b/tests/ref/fate/webp-chfmt2
@@ -0,0 +1,106 @@
+#tb 0: 1/1000
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 0/1
+0,          0,          0,       30,   192000, 0x41a50269
+0,         30,         30,       30,   192000, 0xb54a0286
+0,         60,         60,       30,   192000, 0x842c01ab
+0,         90,         90,       30,   192000, 0x19b0fd8f
+0,        120,        120,       30,   192000, 0x9eb9fb71
+0,        150,        150,       30,   192000, 0x1e11fb1d
+0,        180,        180,       30,   192000, 0x4e33fe49
+0,        210,        210,       30,   192000, 0x2e4fffa4
+0,        240,        240,       30,   192000, 0xfa74ff7f
+0,        270,        270,       30,   192000, 0x695ff5dd
+0,        300,        300,       30,   192000, 0xd263ff87
+0,        330,        330,       30,   192000, 0x8eb2f958
+0,        360,        360,       30,   192000, 0x2630f6dd
+0,        390,        390,       30,   192000, 0xf84af899
+0,        420,        420,       30,   192000, 0xed44fcca
+0,        450,        450,       30,   192000, 0x94e5f617
+0,        480,        480,       30,   192000, 0x2774f83c
+0,        510,        510,       30,   192000, 0x081dfdeb
+0,        540,        540,       30,   192000, 0xbca7050c
+0,        570,        570,       30,   192000, 0x78211c16
+0,        600,        600,       30,   192000, 0x77de154e
+0,        630,        630,       30,   192000, 0x553bfdfc
+0,        660,        660,       30,   192000, 0x57e8f16e
+0,        690,        690,       30,   192000, 0xccb0ef52
+0,        720,        720,       30,   192000, 0xee15e30e
+0,        750,        750,       30,   192000, 0x9166de93
+0,        780,        780,       30,   192000, 0x60c5da31
+0,        810,        810,       30,   192000, 0x1944d84f
+0,        840,        840,       30,   192000, 0xd826d9a5
+0,        870,        870,       30,   192000, 0x175fd3ca
+0,        900,        900,       30,   192000, 0x993bdae7
+0,        930,        930,       30,   192000, 0x3a0fd8af
+0,        960,        960,       30,   192000, 0xf23ad933
+0,        990,        990,       30,   192000, 0x7ad5e2e3
+0,       1020,       1020,       30,   192000, 0x4796f2ee
+0,       1050,       1050,       30,   192000, 0x52a0f3ab
+0,       1080,       1080,       30,   192000, 0x1b3ef6da
+0,       1110,       1110,       30,   192000, 0x7478f41f
+0,       1140,       1140,       30,   192000, 0x5e7d00bc
+0,       1170,       1170,       30,   192000, 0x4436fc7a
+0,       1200,       1200,       30,   192000, 0x4f82f88e
+0,       1230,       1230,       30,   192000, 0x6bb7f834
+0,       1260,       1260,       30,   192000, 0xf611f604
+0,       1290,       1290,       30,   192000, 0xb8bff5b0
+0,       1320,       1320,       30,   192000, 0x40a7f673
+0,       1350,       1350,       30,   192000, 0xc922f8a5
+0,       1380,       1380,       30,   192000, 0xefe6f678
+0,       1410,       1410,       30,   192000, 0x33c9f434
+0,       1440,       1440,       30,   192000, 0xca85f2a3
+0,       1470,       1470,       30,   192000, 0x12a8f922
+0,       1500,       1500,       30,   192000, 0x7492f8ae
+0,       1530,       1530,       30,   192000, 0x73c5f8bb
+0,       1560,       1560,       30,   192000, 0x3f8bf999
+0,       1590,       1590,       30,   192000, 0x3a13f7bf
+0,       1620,       1620,       30,   192000, 0x582bff4e
+0,       1650,       1650,       30,   192000, 0xca85fed4
+0,       1680,       1680,       30,   192000, 0x51c5fbb3
+0,       1710,       1710,       30,   192000, 0x6326fd07
+0,       1740,       1740,       30,   192000, 0x3c2efc01
+0,       1770,       1770,       30,   192000, 0xc769ff48
+0,       1800,       1800,       30,   192000, 0x954e01d3
+0,       1830,       1830,       30,   192000, 0x3a2ffe57
+0,       1860,       1860,       30,   192000, 0xe453ff5c
+0,       1890,       1890,       30,   192000, 0x9aeefc2a
+0,       1920,       1920,       30,   192000, 0x437ef61f
+0,       1950,       1950,       30,   192000, 0x4eb3fd83
+0,       1980,       1980,       30,   192000, 0x2650015d
+0,       2010,       2010,       30,   192000, 0xd82afc78
+0,       2040,       2040,       30,   192000, 0x07d0fd48
+0,       2070,       2070,       30,   192000, 0xc799fcc4
+0,       2100,       2100,       30,   192000, 0xc95d04f3
+0,       2130,       2130,       30,   192000, 0x13eb06ab
+0,       2160,       2160,       30,   192000, 0xa7600439
+0,       2190,       2190,       30,   192000, 0x888304fa
+0,       2220,       2220,       30,   192000, 0xd8780597
+0,       2250,       2250,       30,   192000, 0x2549049c
+0,       2280,       2280,       30,   192000, 0xc8c802a6
+0,       2310,       2310,       30,   192000, 0xcf9d02d0
+0,       2340,       2340,       30,   192000, 0x001001c2
+0,       2370,       2370,       30,   192000, 0xb9d308b0
+0,       2400,       2400,       30,   192000, 0x67a9086a
+0,       2430,       2430,       30,   192000, 0x10d908d4
+0,       2460,       2460,       30,   192000, 0x24be0ac2
+0,       2490,       2490,       30,   192000, 0x1cb5099a
+0,       2520,       2520,       30,   192000, 0x9c7a0a6a
+0,       2550,       2550,       30,   192000, 0x11860d4b
+0,       2580,       2580,       30,   192000, 0x1c230cbc
+0,       2610,       2610,       30,   192000, 0xa3be0b89
+0,       2640,       2640,       30,   192000, 0x0485081d
+0,       2670,       2670,       30,   192000, 0xbe9805fb
+0,       2700,       2700,       30,   192000, 0x022701d8
+0,       2730,       2730,       30,   192000, 0xffbc0318
+0,       2760,       2760,       30,   192000, 0x3335028f
+0,       2790,       2790,       30,   192000, 0xb5360198
+0,       2820,       2820,       30,   192000, 0x904f0405
+0,       2850,       2850,       30,   192000, 0x16fd0074
+0,       2880,       2880,       30,   192000, 0xb98c001f
+0,       2910,       2910,       30,   192000, 0x527bfd4b
+0,       2940,       2940,       30,   192000, 0x792bfb20
+0,       2970,       2970,       30,   192000, 0x34acfaea
+0,       3000,       3000,       30,   192000, 0x7c6bfe5e